Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class SurrugateList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  com.opensymphony.xwork2.util.SurrugateList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

     class SurrugateList

extends ArrayList

Author:
  Gabe

Field Summary
`private Collection` | `surrugate`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SurrugateList(Collection surrugate)`

Method Summary
`void` | `add(int arg0, Object arg1)`
`boolean` | `add(Object arg0)`
`boolean` | `addAll(Collection arg0)`
`boolean` | `addAll(int arg0, Collection arg1)`
`Object` | `set(int arg0, Object arg1)`

Methods inherited from class java.util.ArrayList
`clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### surrugate

    private Collection surrugate

Constructor Detail

### SurrugateList

    public SurrugateList(Collection surrugate)

Method Detail

### add

    public void add(int arg0,
                    Object arg1)

  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `ArrayList`

### add

    public boolean add(Object arg0)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `ArrayList`

### addAll

    public boolean addAll(Collection arg0)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `ArrayList`

### addAll

    public boolean addAll(int arg0,
                          Collection arg1)

  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `ArrayList`

### set

    public Object set(int arg0,
                      Object arg1)

  Specified by:
    `set` in interface `List`
  Overrides:
    `set` in class `ArrayList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.